-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.0.75-0ubuntu10.2


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema hap
--

CREATE DATABASE IF NOT EXISTS hap;
USE hap;

--
-- Definition of table `hap`.`ac_types`
--

DROP TABLE IF EXISTS `hap`.`ac_types`;
CREATE TABLE  `hap`.`ac_types` (
  `ID` int(11) NOT NULL auto_increment,
  `Name` varchar(64) default NULL,
  `Type` int(11) default NULL,
  `Description` mediumtext,
  `InPorts` tinyint(4) default '0',
  `OutPorts` tinyint(4) default '1',
  `ShortName` varchar(64) default NULL,
  `Display` varchar(255) default '{}',
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=91 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `hap`.`ac_types`
--

/*!40000 ALTER TABLE `ac_types` DISABLE KEYS */;
LOCK TABLES `ac_types` WRITE;
INSERT INTO `hap`.`ac_types` VALUES  (1,'No Operation',0,'Bei diesem Objekt gibt es keine weiteren Eigenschaften bzw. diese sind nicht relevant. Der Ausgangswert dieses Objekts ist stets 0. Wird ein Objekt nicht explizit konfiguriert, so ist es von diesem Typ. Um den Speicherplatzbedarf zur Laufzeit gering zu halten, sollte mÃƒÂ¶glichst kein Objekt dieses Typs zwischen anderen Objekten in der Reihenfolge stehen. Stehen diese Objekte am Ende der Objektfolge, so werden sie nicht berÃƒÂ¼cksichtigt und es wird auch kein Speicher dafÃƒÂ¼r benÃƒÂ¶tigt.',0,1,'No Operation','{\"Label\": \"\"}'),
 (2,'Timer (MinuziÃƒÂ¶se AusfÃƒÂ¼hrung) ',32,'Der Ausgang dieses Objekts nimmt den Wert 255 an, wenn sich die Zeit in einem bestimmten abgeschlossenen minuziÃƒÂ¶sen Intervall befindet. Andernfalls ist der Ausgang 0. Das Intervall wird definiert durch den Startwert innerhalb der Minute und die LÃƒÂ¤nge des Intervalls. Der Startwert errechnet sich aus den 6 niederwertigen Bits der 1-ten Eigenschaft in Sekunden plus den 4 niederwertigen Bits der 2-ten Eigenschaft in 1/10 Sekunden. Die LÃƒÂ¤nge des Intervalls ergibt sich aus den 2 hÃƒÂ¶herwertigen Bits der 1-ten Eigenschaft multipliziert mit 256 plus des Werts der 3-ten Eigenschaft in 1/10 Sekunden.\r\n',0,1,'Timer (min)','{\"Start Value (s)\" : 0, \"Interval (1/10s)\": 0 , \"Label\": \"\"}'),
 (3,'Timer (StÃƒÂ¼ndliche AusfÃƒÂ¼hrung)',33,'Der Ausgang dieses Objekts nimmt den Wert 255 an, wenn sich die Zeit in einem bestimmten abgeschlossenen stÃƒÂ¼ndlichen Intervall befindet. Andernfalls ist der Ausgang 0. Das Intervall wird definiert durch den Startwert innerhalb der Stunde und die LÃƒÂ¤nge des Intervalls. Der Startwert errechnet sich aus den 6 niederwertigen Bits der 1-ten Eigenschaft in Minuten plus der 6 niederwertigen Bits der 2-ten Eigenschaft in Sekunden. Die LÃƒÂ¤nge des Intervalls ergibt sich aus den 2 hÃƒÂ¶herwertigen Bits der 1-ten Eigenschaft multipliziert mit 1024 plus den 2 hÃƒÂ¶herwertigen Bits der 2-ten Eigenschaft multipliziert mit 256 plus des Werts der 3-ten Eigenschaft in Sekunden.\r\n',0,1,'Timer (h)','{\"Start Value (mm: ss)\" : 0, \"Interval (s)\": 0  , \"Label\": \"\"}');
INSERT INTO `hap`.`ac_types` VALUES  (4,'Timer (TÃƒÂ¤gliche AusfÃƒÂ¼hrung)',34,'Der Ausgang dieses Objekts nimmt den Wert 255 an, wenn sich die Zeit in einem bestimmten abgeschlossenen tÃƒÂ¤glichen Intervall befindet. Andernfalls ist der Ausgang 0. Das Intervall wird definiert durch den Startwert innerhalb des Tages und die LÃƒÂ¤nge des Intervalls. Der Startwert errechnet sich aus den 5 niederwertigen Bits der 1-ten Eigenschaft in Stunden plus der 6 niederwertigen Bits der 2-ten Eigenschaft in Minuten. Die LÃƒÂ¤nge des Intervalls ergibt sich aus den 2 hÃƒÂ¶herwertigen Bits der 2-ten Eigenschaft multipliziert mit 256 plus des Werts der 3-ten Eigenschaft in Minuten. Dieser Mechanismus funktioniert an Werktagen nur, wenn das Bit 5, an Samstagen, wenn das Bit 6 und an Sonntagen, wenn das Bit 7 der 1-ten Eigenschaft gesetzt ist.',0,1,'Timer (d)','{\"Start Value (hh: mm)\": 0, \"Interval (m)\": 0, \"Mo.-Fr.\": 0, \"Saturday\": 0, \"Sunday\":0 , \"Label\": \"\"}'),
 (5,'Timer (WÃƒÂ¶chentliche AusfÃƒÂ¼hrung)',35,'Der Ausgang dieses Objekts nimmt den Wert 255 an, wenn sich die Zeit in einem bestimmten abgeschlossenen wÃƒÂ¶chentlichen Intervall befindet. Andernfalls ist der Ausgang 0. Das Intervall wird definiert durch den Startwert innerhalb der Woche und die LÃƒÂ¤nge des Intervalls. Der Startwert errechnet sich aus den 3 hÃƒÂ¶herwertigen Bits der 1-ten Eigenschaft in Tagen plus die 5 niederwertigen Bits der 1-ten Eigenschaft in Stunden plus die 6 niederwertigen Bits der 2-ten Eigenschaft in Minuten. Die LÃƒÂ¤nge des Intervalls ergibt sich aus den 2 hÃƒÂ¶herwertigen Bits der 2-ten Eigenschaft multipliziert mit 256 plus des Werts der 3-ten Eigenschaft in Minuten.\r\n',0,1,'Timer (w)','{\"Start Value (d)\": 0, \"Start Value (hh: mm)\": 0, \"Intervall (m)\": 0  , \"Label\": \"\"}'),
 (6,'Eingang (aktiv)',56,'Der Ausgang dieses Objekts prÃƒÂ¤sentiert das Ergebnis der Abfrage eines bestimmten GerÃƒÂ¤tes. In der 1-ten Eigenschaft ist dabei die Modul-Adresse des Moduls zu hinterlegen, an der eben dieses GerÃƒÂ¤t angeschlossen ist. Die 2-te Eigenschaft gibt die entsprechende GerÃƒÂ¤te-Adresse an. Die 3-te Eigenschaft definiert in 1/10 Sekunden das Intervall, in dem die Abfrage wiederholt, der Wert des Ausgangs also aktualisiert wird. Wenn insbesondere das GerÃƒÂ¤t nicht an dem Modul betrieben wird, auf dem die zu konfigurierende autonome Steuerung lÃƒÂ¤uft, empfiehlt es sich, diesen Wert hinreichend groÃƒÅ¸ zu wÃƒÂ¤hlen, um den Funkverkehr mÃƒÂ¶glichst klein zu halten. Handelt es sich bei dem abzufragenden GerÃƒÂ¤t um einen analogen Eingang, so wird der 10 Bit groÃƒÅ¸e Ergebniswert auf einen 8 Bit groÃƒÅ¸en gekÃƒÂ¼rzt, indem die 2 niederwertigen Bits nicht beachtet werden.',0,1,'Input active','{\"HAP-Module\": 0, \"HAP-Device\": 0, \"Interval (1/10s)\": 0 , \"Label\": \"\"}');
INSERT INTO `hap`.`ac_types` VALUES  (7,'Eingang (passiv, nicht flÃƒÂ¼chtig)',60,'Der Ausgang dieses Objekts wird durch Empfangen einer Statusmeldung verÃƒÂ¤ndert. Die Modul-Adresse der Statusmeldung muÃƒÅ¸ mit der Modul-Adresse des Moduls, auf dem die zu konfigurierende autonome Steuerung lÃƒÂ¤uft, identisch sein oder es muÃƒÅ¸ sich um einen Broadcast handeln. ZusÃƒÂ¤tzlich muÃƒÅ¸ die Absender-Adresse mit der 1-ten Eigenschaft sowie die GerÃƒÂ¤te-Adresse der Statusmeldung mit der 2-ten Eigenschaft ÃƒÂ¼bereinstimmen. Ein eventuell 10 Bit groÃƒÅ¸er Statuswert wird durch Nichtbeachtung der 2 niederwertigen Bits auf einen 8 Bit groÃƒÅ¸en Wert gekÃƒÂ¼rzt. Nach einem Reset wird der Ausgang mit dem Wert der 3-ten Eigenschaft initialisiert.',0,1,'Input passive','{\"HAP-Module\": 0, \"HAP-Device\": 0,  \"Init-Value\": 0 , \"Label\": \"\"}'),
 (8,'Bitweise Linksverschiebung (1 Eingang)',69,'Der Ausgangswert dieses Objekts ergibt sich durch eine bitweise Linksverschiebung des Eingangswertes. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt. Die 2-te Eigenschaft kodiert die Anzahl der Bits, um die verschoben werden soll.',1,1,'Bitwise left','{\"Shift-Bits\": 0, \"Label\": \"\"}'),
 (9,'Bitweise Rechtsverschiebung (1 Eingang)',70,'Der Ausgangswert dieses Objekts ergibt sich durch eine bitweise Rechtsverschiebung des Eingangswertes. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt. Die 2-te Eigenschaft kodiert die Anzahl der Bits, um die verschoben werden soll.',1,1,'Bitwise right','{\"Shift-Bits\": 0, \"Label\": \"\"}');
INSERT INTO `hap`.`ac_types` VALUES  (10,'Vergleichsoperator Ã¢â‚¬Å¾gleichÃ¢â‚¬Å“ (1 Eingang)',72,'Der Ausgang dieses Objekts nimmt den Wert 255 an, wenn der Wert des Eingangs gleich dem Wert der 2-ten Eigenschaft ist. Andernfalls ist der Ausgang 0. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt.',1,1,'Compare =','{\"Value\": 0 , \"Label\": \"\"}'),
 (11,'Vergleichsoperator Ã¢â‚¬Å¾nicht gleichÃ¢â‚¬Å“ (1 Eingang)',73,'Der Ausgang dieses Objekts nimmt den Wert 255 an, wenn der Wert des Eingangs nicht gleich dem Wert der 2-ten Eigenschaft ist. Andernfalls ist der Ausgang 0. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt.',1,1,'Compare !=','{\"Value\": 0 , \"Label\": \"\"}'),
 (12,'Vergleichsoperator Ã¢â‚¬Å¾kleinerÃ¢â‚¬Å“ (1 Eingang)',74,'Der Ausgang dieses Objekts nimmt den Wert 255 an, wenn der Wert des Eingangs kleiner dem Wert der 2-ten Eigenschaft ist. Andernfalls ist der Ausgang 0. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt.',1,1,'Compare <','{\"Value\": 0 , \"Label\": \"\"}'),
 (13,'Vergleichsoperator Ã¢â‚¬Å¾kleiner oder gleichÃ¢â‚¬Å“ (1 Eingang)',75,'Der Ausgang dieses Objekts nimmt den Wert 255 an, wenn der Wert des Eingangs kleiner oder gleich dem Wert der 2-ten Eigenschaft ist. Andernfalls ist der Ausgang 0. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt.',1,1,'Compare <=','{\"Value\": 0 , \"Label\": \"\"}');
INSERT INTO `hap`.`ac_types` VALUES  (14,'Vergleichsoperator Ã¢â‚¬Å¾grÃƒÂ¶ÃƒÅ¸erÃ¢â‚¬Å“ (1 Eingang)',76,'Der Ausgang dieses Objekts nimmt den Wert 255 an, wenn der Wert des Eingangs grÃƒÂ¶ÃƒÅ¸er dem Wert der 2-ten Eigenschaft ist. Andernfalls ist der Ausgang 0. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt.',1,1,'Compare >','{\"Value\": 0 , \"Label\": \"\"}'),
 (15,'Vergleichsoperator Ã¢â‚¬Å¾grÃƒÂ¶ÃƒÅ¸er oder gleichÃ¢â‚¬Å“ (1 Ein',77,'Der Ausgang dieses Objekts nimmt den Wert 255 an, wenn der Wert des Eingangs grÃƒÂ¶ÃƒÅ¸er oder gleich dem Wert der 2-ten Eigenschaft ist. Andernfalls ist der Ausgang 0. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt.',1,1,'Compare >=','{\"Value\": 0 , \"Label\": \"\"}'),
 (16,'Addition (1 Eingang)',80,'Der Wert des Ausgangs dieses Objekts ergibt sich aus der Addition des Eingangswertes mit der 2-ten und 3-ten Eigenschaft. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt.',1,1,'Addition','{\"Value0\": 0, \"Value1\": 0, \"Label\": \"\"}'),
 (17,'Subtraktion (1 Eingang)',81,'Der Wert des Ausgangs dieses Objekts ergibt sich durch Subtraktion der 2-ten und 3-ten Eigenschaft vom Eingangswert. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt.',1,1,'Substr.','{\"Value0\": 0, \"Value1\": 0, \"Label\": \"\"}');
INSERT INTO `hap`.`ac_types` VALUES  (18,'Multiplikation (1 Eingang)',82,'Der Wert des Ausgangs dieses Objekts ergibt sich aus der Multiplikation des Eingangswertes mit der 2-ten und 3-ten Eigenschaft. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt.',1,1,'Multipl.','{\"Value0\": 0, \"Value1\": 0, \"Label\": \"\"}'),
 (19,'Division (1 Eingang)',83,'Der Wert des Ausgangs dieses Objekts ergibt sich durch Division des Eingangswertes durch die 2-te und 3-te Eigenschaft. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt.',1,1,'Divison','{\"Value0\": 0, \"Value1\": 0, \"Label\": \"\"}'),
 (20,'Multiplikation mit Offset',84,'Der Wert des Ausgangs dieses Objekts ergibt sich durch Addition der 2-ten Eigenschaft zum Eingangswert und anschlieÃƒÅ¸ender Multiplikation mit der 3-ten Eigenschaft dividiert durch 16. Die Rundung auf einen ganzzahligen Wert wird am Ende vorgenommen. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt.',1,1,'Multipl. with offset','{\"Offset\": 0, \"Multiplicator\": 0 , \"Label\": \"\"}'),
 (21,'Division mit Offset ',85,'Der Wert des Ausgangs dieses Objekts ergibt sich durch Addition der 2-ten Eigenschaft zum Eingangswert und anschlieÃƒÅ¸ender Division der 3-ten Eigenschaft durch eben diesen Wert. Die Rundung auf einen ganzzahligen Wert wird am Ende vorgenommen. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt.',1,1,'Division with offset','{\"Offset\": 0, \"Divisor\": 0 , \"Label\": \"\"}');
INSERT INTO `hap`.`ac_types` VALUES  (22,'Regelglied 0',96,'Der Wert des Ausgangs dieses Objekts wird jeweils um die HÃƒÂ¤lfte der Differenz zwischen dem Eingangswert und einem Referenzwert korrigiert. Er kann dabei nicht grÃƒÂ¶ÃƒÅ¸er als 255 und nicht kleiner als 0 werden. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt. Der Referenzwert wird mit der 2-ten Eigenschaft initialisiert.',1,1,'Controller','{\"Reference\": 0 , \"Label\": \"\"}'),
 (23,'AusschaltverzÃƒÂ¶gerung',112,'Ist der Eingangswert dieses Objekts grÃƒÂ¶ÃƒÅ¸er 0, so nimmt der Ausgang eben diesen Wert an und hÃƒÂ¤lt ihn fÃƒÂ¼r eine konfigurierbare Zeit, auch wenn der Eingangswert wieder 0 geworden ist. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt. Die Zeit, um die der Ausschaltvorgang verzÃƒÂ¶gert wird, wird in der 3-ten Eigenschaft hinterlegt',1,1,'Switch-off delay','{\"Time-Base\": 0, \"Value\": 0 , \"Label\": \"\"}'),
 (24,'EinschaltverzÃƒÂ¶gerung',113,'Ist der Eingangswert dieses Objekts grÃƒÂ¶ÃƒÅ¸er 0, so wird dieser Wert erst nach einer konfigurierbaren Zeit auf den Ausgang ÃƒÂ¼bertragen. Ist der Eingangswert 0, so wird auch der Ausgang 0. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt. Die Zeit, um die der Einschaltvorgang verzÃƒÂ¶gert wird, wird in der 3-ten Eigenschaft hinterlegt',1,1,'Switch-on delay','{\"Time-Base\": 0, \"Value\": 0 , \"Label\": \"\"}');
INSERT INTO `hap`.`ac_types` VALUES  (25,'Ausgang',120,'Ãƒâ€žndert sich der Eingangswert dieses Objekts, so wird eben dieser Wert dividiert durch 2,55 (Der Wertebereich der autonomen Steuerung von 0 bis 255 wird auf 0 bis 100 begrenzt.) in Form eines Steuerbefehls weitergegeben. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt. Die Modul-Adresse des Moduls, fÃƒÂ¼r das der Steuerbefehl bestimmt ist, wird in der 2-ten Eigenschaft gespeichert. Die 3-te Eigenschaft speichert schlieÃƒÅ¸lich die GerÃƒÂ¤te-Adresse des ZielgerÃƒÂ¤tes.',1,0,'Output','{\"HAP-Module\": 0, \"HAP-Device\": 0 , \"Label\": \"\"}'),
 (26,'Bitweise UND-VerknÃƒÂ¼pfung (2 EingÃƒÂ¤nge)',128,'Der Wert des Ausgangs dieses Objekts ergibt sich aus der bitweisen UND-VerknÃƒÂ¼pfung der beiden EingÃƒÂ¤nge mit der 3-ten Eigenschaft. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten und 2-ten Eigenschaft hinterlegt.',2,1,'Bitwise AND','{\"Value\": 0 , \"Label\": \"\"}'),
 (27,'Bitweise ODER-VerknÃƒÂ¼pfung (2 EingÃƒÂ¤nge) ',129,'Der Wert des Ausgangs dieses Objekts ergibt sich aus der bitweisen ODER-VerknÃƒÂ¼pfung der beiden EingÃƒÂ¤nge mit der 3-ten Eigenschaft. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten und 2-ten Eigenschaft hinterlegt.',2,1,'Bitwise OR','{\"Value\": 0 , \"Label\": \"\"}');
INSERT INTO `hap`.`ac_types` VALUES  (28,'Bitweise NICHT-UND-VerknÃƒÂ¼pfung (2 EingÃƒÂ¤nge)',130,'Der Wert des Ausgangs dieses Objekts ergibt sich aus der bitweisen NICHT-UND-VerknÃƒÂ¼pfung der beiden EingÃƒÂ¤nge mit der 3-ten Eigenschaft. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten und 2-ten Eigenschaft hinterlegt.',2,1,'Bitwise NAND','{\"Value\": 0 , \"Label\": \"\"}'),
 (29,'Bitweise NICHT-ODER-VerknÃƒÂ¼pfung (2 EingÃƒÂ¤nge)',131,'Der Wert des Ausgangs dieses Objekts ergibt sich aus der bitweisen NICHT-ODER-VerknÃƒÂ¼pfung der beiden EingÃƒÂ¤nge mit der 3-ten Eigenschaft. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten und 2-ten Eigenschaft hinterlegt',2,1,'Bitwise NOR','{\"Value\": 0 , \"Label\": \"\"}'),
 (30,'Bitweise EXKLUSIV-ODER-VerknÃƒÂ¼pfung (2 EingÃƒÂ¤nge)',132,'Der Wert des Ausgangs dieses Objekts ergibt sich aus der bitweisen EXKLUSIV-ODER-VerknÃƒÂ¼pfung der beiden EingÃƒÂ¤nge mit der 3-ten Eigenschaft. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten und 2-ten Eigenschaft hinterlegt.',2,1,'Bitwise XOR','{\"Value\": 0 , \"Label\": \"\"}'),
 (31,'Bitweise Linksverschiebung (2 EingÃƒÂ¤nge)',133,'Der Ausgangswert dieses Objekts ergibt sich durch eine bitweise Linksverschiebung des 1-ten Eingangswertes. Der 2-te Eingangswert gibt die Anzahl der Bits an, um die verschoben werden soll. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten und 2-ten Eigenschaft hinterlegt.',2,1,'Bitwise left','{\"Shift-Bits\": 0, \"Label\": \"\"}');
INSERT INTO `hap`.`ac_types` VALUES  (32,'Bitweise Rechtsverschiebung (2 EingÃƒÂ¤nge)',134,'Der Ausgangswert dieses Objekts ergibt sich durch eine bitweise Rechtsverschiebung des 1-ten Eingangswertes. Der 2-te Eingangswert gibt die Anzahl der Bits an, um die verschoben werden soll. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten und 2-ten Eigenschaft hinterlegt.',2,1,'Bitwise right','{\"Shift-Bits\": 0, \"Label\": \"\"}'),
 (33,'Vergleichsoperator Ã¢â‚¬Å¾gleichÃ¢â‚¬Å“ (2 EingÃƒÂ¤nge)',136,'Der Ausgang dieses Objekts nimmt den Wert 255 an, wenn der Wert des 1-ten Eingangs gleich dem Wert des 2-ten Eingangs ist. Andernfalls ist der Ausgang 0. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten und 2-ten Eigenschaft hinterlegt.',2,1,'Compare =','{\"Label\": \"\"}'),
 (34,'Vergleichsoperator Ã¢â‚¬Å¾nicht gleichÃ¢â‚¬Å“ (2 EingÃƒÂ¤nge)',137,'Der Ausgang dieses Objekts nimmt den Wert 255 an, wenn der Wert des 1-ten Eingangs nicht gleich dem Wert des 2-ten Eingangs ist. Andernfalls ist der Ausgang 0. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten und 2-ten Eigenschaft hinterlegt.',2,1,'Compare !=','{\"Label\": \"\"}'),
 (35,'Vergleichsoperator Ã¢â‚¬Å¾kleinerÃ¢â‚¬Å“ (2 EingÃƒÂ¤nge)',138,'Der Ausgang dieses Objekts nimmt den Wert 255 an, wenn der Wert des 1-ten Eingangs kleiner dem Wert des 2-ten Eingangs ist. Andernfalls ist der Ausgang 0. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten und 2-ten Eigenschaft hinterlegt.',2,1,'Compare <','{\"Label\": \"\"}');
INSERT INTO `hap`.`ac_types` VALUES  (36,'Vergleichsoperator Ã¢â‚¬Å¾kleiner oder gleichÃ¢â‚¬Å“ (2 EingÃƒÂ¤',139,'Der Ausgang dieses Objekts nimmt den Wert 255 an, wenn der Wert des 1-ten Eingangs kleiner oder gleich dem Wert des 2-ten Eingangs ist. Andernfalls ist der Ausgang 0. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten und 2-ten Eigenschaft hinterlegt.',2,1,'Compare <=','{\"Label\": \"\"}'),
 (37,'Vergleichsoperator Ã¢â‚¬Å¾grÃƒÂ¶ÃƒÅ¸erÃ¢â‚¬Å“ (2 EingÃƒÂ¤nge)',140,'Der Ausgang dieses Objekts nimmt den Wert 255 an, wenn der Wert des 1-ten Eingangs grÃƒÂ¶ÃƒÅ¸er dem Wert des 2-ten Eingangs ist. Andernfalls ist der Ausgang 0. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten und 2-ten Eigenschaft hinterlegt.',2,1,'Compare >','{\"Label\": \"\"}'),
 (38,'Vergleichsoperator Ã¢â‚¬Å¾grÃƒÂ¶ÃƒÅ¸er oder gleichÃ¢â‚¬Å“ (2 Ein',141,'Der Ausgang dieses Objekts nimmt den Wert 255 an, wenn der Wert des 1-ten Eingangs grÃƒÂ¶ÃƒÅ¸er oder gleich dem Wert des 2-ten Eingangs ist. Andernfalls ist der Ausgang 0. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten und 2-ten Eigenschaft hinterlegt.',2,1,'Compare >=','{\"Label\": \"\"}'),
 (39,'Addition (2 EingÃƒÂ¤nge)',144,'Der Wert des Ausgangs dieses Objekts ergibt sich aus der Addition der beiden Eingangswerte mit der 3-ten Eigenschaft. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten und 2-ten Eigenschaft hinterlegt.',2,1,'Addition','{\"Value\": 0 , \"Label\": \"\"}');
INSERT INTO `hap`.`ac_types` VALUES  (40,'Subtraktion (2 EingÃƒÂ¤nge)',145,'Der Wert des Ausgangs dieses Objekts ergibt sich durch Subtraktion des 2-ten Eingangs und der 3-ten Eigenschaft vom 1-ten Eingang. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten und 2-ten Eigenschaft hinterlegt.',2,1,'Substr.','{\"Value\": 0 , \"Label\": \"\"}'),
 (41,'Multiplikation (2 EingÃƒÂ¤nge)',146,'Der Wert des Ausgangs dieses Objekts ergibt sich aus der Multiplikation der beiden Eingangswerte mit der 3-ten Eigenschaft. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten und 2-ten Eigenschaft hinterlegt.',2,1,'Multipl.','{\"Value\": 0 , \"Label\": \"\"}'),
 (42,'Division (2 EingÃƒÂ¤nge)',147,'Der Wert des Ausgangs dieses Objekts ergibt sich durch Division des 1-ten Eingangswertes durch den 2-ten Eingang und die 3-te Eigenschaft. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten und 2-ten Eigenschaft hinterlegt.',2,1,'Division','{\"Value\": 0 , \"Label\": \"\"}'),
 (43,'Bitweise UND-VerknÃƒÂ¼pfung (3 EingÃƒÂ¤nge) ',192,'Der Wert des Ausgangs dieses Objekts ergibt sich aus der bitweisen UND-VerknÃƒÂ¼pfung der drei EingÃƒÂ¤nge. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten, 2-ten und 3-ten Eigenschaft hinterlegt.',3,1,'Bitwise AND','{\"Label\": \"\"}');
INSERT INTO `hap`.`ac_types` VALUES  (44,'Bitweise ODER-VerknÃƒÂ¼pfung (3 EingÃƒÂ¤nge)',193,'Der Wert des Ausgangs dieses Objekts ergibt sich aus der bitweisen ODER-VerknÃƒÂ¼pfung der drei EingÃƒÂ¤nge. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten, 2-ten und 3-ten Eigenschaft hinterlegt.',3,1,'Bitwise OR','{\"Label\": \"\"}'),
 (45,'Bitweise NICHT-UND-VerknÃƒÂ¼pfung (3 EingÃƒÂ¤nge) ',194,'Der Wert des Ausgangs dieses Objekts ergibt sich aus der bitweisen NICHT-UND-VerknÃƒÂ¼pfung der drei EingÃƒÂ¤nge. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten, 2-ten und 3-ten Eigenschaft hinterlegt.',3,1,'Bitwise NAND','{\"Label\": \"\"}'),
 (46,'Bitweise NICHT-ODER-VerknÃƒÂ¼pfung (3 EingÃƒÂ¤nge) ',195,'Der Wert des Ausgangs dieses Objekts ergibt sich aus der bitweisen NICHT-ODER-VerknÃƒÂ¼pfung der drei EingÃƒÂ¤nge. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten, 2-ten und 3-ten Eigenschaft hinterlegt.',3,1,'Bitwise NOR','{\"Label\": \"\"}'),
 (47,'Bitweise EXKLUSIV-ODER-VerknÃƒÂ¼pfung (3 EingÃƒÂ¤nge)',196,'Der Wert des Ausgangs dieses Objekts ergibt sich aus der bitweisen EXKLUSIV-ODER-VerknÃƒÂ¼pfung der drei EingÃƒÂ¤nge. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten, 2-ten und 3-ten Eigenschaft hinterlegt.',3,1,'Bitwise XOR','{\"Label\": \"\"}');
INSERT INTO `hap`.`ac_types` VALUES  (48,'Addition (3 EingÃƒÂ¤nge)',208,'Der Wert des Ausgangs dieses Objekts ergibt sich aus der Addition der drei Eingangswerte. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten, 2-ten und 3-ten Eigenschaft hinterlegt.',3,1,'Addition','{\"Label\": \"\"}'),
 (49,'Subtraktion (3 EingÃƒÂ¤nge)',209,'Der Wert des Ausgangs dieses Objekts ergibt sich durch Subtraktion des 2-ten und 3-ten Eingangs vom 1-ten Eingang. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten, 2-ten und 3-ten Eigenschaft hinterlegt.',3,1,'Substr.','{\"Label\": \"\"}'),
 (50,'Multiplikation (3 EingÃƒÂ¤nge)',210,'Der Wert des Ausgangs dieses Objekts ergibt sich aus der Multiplikation der drei Eingangswerte. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten, 2-ten und 3-ten Eigenschaft hinterlegt.',3,1,'Multipl.','{\"Label\": \"\"}'),
 (51,'Division (3 EingÃƒÂ¤nge)',211,'Der Wert des Ausgangs dieses Objekts ergibt sich durch Division des 1-ten Eingangswertes durch den 2-ten und 3-ten Eingang. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten, 2-ten und 3-ten Eigenschaft hinterlegt.',3,1,'Division ','{\"Label\": \"\"}'),
 (52,'Auf-/Ab-Steuerung 1-Taster-LÃƒÂ¶sung ',100,'Dieses Objekt setzt die Eingangswerte, wie sie von einem entsprechend konfigurierten logi-schen Eingang geliefert werden, in entsprechende Steuercodes um, wie sie zur Ansteuerung eines Dimmers oder eines Rollladens verwendet werden kÃƒÂ¶nnen. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt. Die 2-te und 3-te Eigenschaft wird nicht verwendet.',1,1,'Up/Down 1 Button','{\"Label\": \"\"}');
INSERT INTO `hap`.`ac_types` VALUES  (53,'Weiterleitung Ã¢â‚¬Å¾kleinerÃ¢â‚¬Å“ (1 Eingang) ',104,'Der Ausgang dieses Objektes nimmt den kleinsten Wert vom Eingang, der 2-ten Eigenschaft und der 3-ten Eigenschaft an. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt.',1,1,'Forward <','{\"Value0\": 0, \"Value1\": 0 , \"Label\": \"\"}'),
 (54,'Weiterleitung Ã¢â‚¬Å¾mittlerenÃ¢â‚¬Å“ (1 Eingang) ',105,'Der Ausgang dieses Objektes nimmt den mittleren Wert vom Eingang, der 2-ten Eigenschaft und der 3-ten Eigenschaft an. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt.',1,1,'Foward middle','{\"Value0\": 0, \"Value1\": 0 , \"Label\": \"\"}'),
 (55,'Weiterleitung Ã¢â‚¬Å¾grÃƒÂ¶ÃƒÅ¸erÃ¢â‚¬Å“ (1 Eingang) ',106,'Der Ausgang dieses Objektes nimmt den grÃƒÂ¶ÃƒÅ¸ten Wert vom Eingang, der 2-ten Eigenschaft und der 3-ten Eigenschaft an. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt.',1,1,'Forward >','{\"Value0\": 0, \"Value1\": 0 , \"Label\": \"\"}'),
 (56,'Weiterleitung Ã¢â‚¬Å¾gesteuertÃ¢â‚¬Å“ (1 Eingang) ',107,'Der Ausgang dieses Objektes nimmt den Wert der 2-ten Eigenschaft an, wenn der Eingang 0 ist. Andernfalls wird der Wert der 3-ten Eigenschaft angenommen. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt.',1,1,'Forward controlled','{\"Value0\": 0, \"Value1\": 0 , \"Label\": \"\"}');
INSERT INTO `hap`.`ac_types` VALUES  (57,'Ausgang (nativ)',121,'Ãƒâ€žndert sich der Eingangswert dieses Objekts, so wird eben dieser Wert in Form eines Steuerbefehls weitergegeben. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt. Die Modul-Adresse des Moduls, fÃƒÂ¼r das der Steuerbefehl bestimmt ist, wird in der 2-ten Eigenschaft gespeichert. Die 3-te Eigenschaft speichert schlieÃƒÅ¸lich die GerÃƒÂ¤te-Adresse des ZielgerÃƒÂ¤tes.',1,0,'Output native','{\"HAP-Module\": 0, \"HAP-Device\": 0 , \"Label\": \"\"}'),
 (58,'Auf-/Ab-Steuerung 2-Taster-LÃƒÂ¶sung ',164,'Dieses Objekt setzt die Eingangswerte, wie sie von entsprechend konfigurierten logischen EingÃƒÂ¤ngen geliefert werden, in entsprechende Steuercodes um, wie sie zur Ansteuerung eines Dimmers oder eines Rollladens verwendet werden kÃƒÂ¶nnen. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten und 2-ten Eigenschaft hinterlegt. Die 3-te Eigenschaft wird nicht verwendet.',0,1,'Up/Down 2 Button','{\"Label\": \"\"}'),
 (59,'Weiterleitung Ã¢â‚¬Å¾kleinerÃ¢â‚¬Å“ (2 EingÃƒÂ¤nge) ',168,'Der Ausgang dieses Objektes nimmt den kleinsten Wert vom 1-ten Eingang, dem 2-ten Eingang und der 3-ten Eigenschaft an. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten und 2-ten Eigenschaft hinterlegt.',2,1,'Forward <','{\"Value\": 0 , \"Label\": \"\"}');
INSERT INTO `hap`.`ac_types` VALUES  (60,'Weiterleitung Ã¢â‚¬Å¾mittlerenÃ¢â‚¬Å“ (2 EingÃƒÂ¤nge) ',169,'Der Ausgang dieses Objektes nimmt den mittleren Wert vom 1-ten Eingang, dem 2-ten Eingang und der 3-ten Eigenschaft an. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten und 2-ten Eigenschaft hinterlegt.',2,1,'Forward middle','{\"Value\": 0 , \"Label\": \"\"}'),
 (61,'Weiterleitung Ã¢â‚¬Å¾grÃƒÂ¶ÃƒÅ¸erÃ¢â‚¬Å“ (2 EingÃƒÂ¤nge) ',170,'Der Ausgang dieses Objektes nimmt den grÃƒÂ¶ÃƒÅ¸ten Wert vom 1-ten Eingang, dem 2-ten Eingang und der 3-ten Eigenschaft an. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten und 2-ten Eigenschaft hinterlegt.',2,1,'Forward >','{\"Value\": 0 , \"Label\": \"\"}'),
 (62,'Weiterleitung Ã¢â‚¬Å¾gesteuertÃ¢â‚¬Å“ (2 EingÃƒÂ¤nge) ',171,'Der Ausgang dieses Objektes nimmt den Wert des 2-ten Eingangs an, wenn der 1-te Eingang 0 ist. Andernfalls wird der Wert der 3-ten Eigenschaft angenommen. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten und 2-ten Eigenschaft hinterlegt.',2,1,'Forward controlled','{\"Value\": 0 , \"Label\": \"\"}'),
 (63,'Weiterleitung Ã¢â‚¬Å¾kleinerÃ¢â‚¬Å“ (3 EingÃƒÂ¤nge) ',232,'Der Ausgang dieses Objektes nimmt den kleinsten Wert der EingÃƒÂ¤nge an. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten, 2-ten und 3-ten Eigenschaft hinterlegt.',3,1,'Forward <','{\"Label\": \"\"}');
INSERT INTO `hap`.`ac_types` VALUES  (64,'Weiterleitung Ã¢â‚¬Å¾mittlerenÃ¢â‚¬Å“ (3 EingÃƒÂ¤nge) ',233,'Der Ausgang dieses Objektes nimmt den mittleren Wert der EingÃƒÂ¤nge an. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten, 2-ten und 3-ten Eigenschaft hinterlegt.',3,1,'Forward middle','{\"Label\": \"\"}'),
 (65,'Weiterleitung Ã¢â‚¬Å¾grÃƒÂ¶ÃƒÅ¸erÃ¢â‚¬Å“ (3 EingÃƒÂ¤nge) ',234,'Der Ausgang dieses Objektes nimmt den grÃƒÂ¶ÃƒÅ¸ten Wert der EingÃƒÂ¤nge an. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten, 2-ten und 3-ten Eigenschaft hinterlegt.',3,1,'Forward >','{\"Label\": \"\"}'),
 (66,'Weiterleitung Ã¢â‚¬Å¾gesteuertÃ¢â‚¬Å“ (3 EingÃƒÂ¤nge) ',235,'Der Ausgang dieses Objektes nimmt den Wert des 2-ten Eingangs an, wenn der 1-te Eingang 0 ist. Andernfalls wird der Wert des 3-ten Eingangs angenommen. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten, 2-ten und 3-ten Eigenschaft hinterlegt.',3,1,'Forward controlled','{\"Label\": \"\"}'),
 (67,'Ausgangsmodifizierer (kein Eingang) ',63,'Der Ausgangswert dieses Objekts ergibt sich als der Wert der 1-ten Eigenschaft. Ist dieses Objekt einem Ausgang vorgeschaltet, so bestimmt die 2-te Eigenschaft (Low-Byte) und die 3-te Eigenschaft (High-Byte) die VerzÃƒÂ¶gerung in 1/10 Sekunden, mit der eine am Ausgang ange-schlossene Dimmerstufe den durch den Ausgang reprÃƒÂ¤sentierten Wert annimmt.',0,1,'Output modifier','{\"Output-Value\": 0, \"Delay (1/10s)\": 0 , \"Edge Rising\":0, \"Edge Falling\":0, \"Label\": \"\"}');
INSERT INTO `hap`.`ac_types` VALUES  (68,'Ausgangsmodifizierer (1 Eingang)',127,'Der Ausgangswert dieses Objekts ergibt sich als dessen Eingangswert. Die Nummer des Objekts, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt. Ist dieses Objekt einem Ausgang vorgeschaltet, so bestimmt die 2-te Eigenschaft (Low-Byte) und die 3-te Eigenschaft (High-Byte) die VerzÃƒÂ¶gerung in 1/10 Sekunden, mit der eine am Ausgang angeschlossene Dimmerstufe den durch den Ausgang reprÃƒÂ¤sentierten Wert annimmt.',1,1,'Output modifier','{\"Delay (1/10s)\": 0, \"Edge Rising\":0, \"Edge Falling\":0 , \"Label\": \"\"}'),
 (69,'Eingang (passiv, flÃƒÂ¼chtig)',61,'Der Ausgang dieses Objekts wird durch Empfangen einer Statusmeldung verÃƒÂ¤ndert. Die Modul-Adresse der Statusmeldung muÃƒÅ¸ mit der Modul-Adresse des Moduls, auf dem die zu konfigurierende autonome Steuerung lÃƒÂ¤uft, identisch sein oder es muÃƒÅ¸ sich um einen Broadcast handeln. ZusÃƒÂ¤tzlich muÃƒÅ¸ die Absender-Adresse mit der 1-ten Eigenschaft sowie die GerÃƒÂ¤te-Adresse der Statusmeldung mit der 2-ten Eigenschaft ÃƒÂ¼bereinstimmen. Ein eventuell 10 Bit groÃƒÅ¸er Statuswert wird durch Nichtbeachtung der 2 niederwertigen Bits auf einen 8 Bit groÃƒÅ¸en Wert gekÃƒÂ¼rzt. Nach der Verarbeitung des Ausgangswerts durch die autonome Steuerung oder nach einem Reset wird der Ausgang wieder auf den Wert der 3-ten Eigenschaft gesetzt.',0,1,'Input passive volatile','{\"HAP-Module\": 0, \"HAP-Device\": 0,  \"Init-Value\": 0 , \"Label\": \"\"}'),
 (70,'Einschaltbegrenzung',114,'Ist der Eingangswert dieses Objekts grÃƒÂ¶ÃƒÅ¸er 0 und eine konfigurierbare Zeitspanne noch nicht abgelaufen, so wird dieser Wert auf den Ausgang ÃƒÂ¼bertragen. Die Zeit fÃƒÂ¤ngt in dem Moment an abzulaufen, wenn der Eingangswert grÃƒÂ¶ÃƒÅ¸er 0 wird. Ist der Eingangswert 0 bzw. die Zeit abgelaufen, so wird auch der Ausgang 0. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt. Die Zeit, um die der Einschaltvorgang verzÃƒÂ¶gert wird, wird in der 3-ten Eigenschaft hinterlegt',1,1,'Switch-on limiter','{\"Time-Base\": 0, \"Value\": 0 , \"Label\": \"\"}');
INSERT INTO `hap`.`ac_types` VALUES  (71,'FlipFlop0 (2 EingÃƒÂ¤nge)',152,'Der Ausgang dieses Objekts nimmt den Wert der 3-ten Eigenschaft an, wenn der 1-te Eingangswert grÃƒÂ¶ÃƒÅ¸er 0 ist. Ist der 2-te Eingangswert grÃƒÂ¶ÃƒÅ¸er 0, so wird der Ausgang des Objekts auf 0 gesetzt. Der 2-te Eingang ist gegenÃƒÂ¼ber dem 1-ten Eingang priorisiert.',2,1,'FlipFlop 0','{\"Value\": 0 , \"Label\": \"\"}'),
 (72,'FlipFlop0 (3 EingÃƒÂ¤nge)',216,'Der Ausgang dieses Objekts nimmt den Wert des 3-ten Eingangs an, wenn der 1-te Eingangswert grÃƒÂ¶ÃƒÅ¸er 0 ist. Ist der 2-te Eingangswert grÃƒÂ¶ÃƒÅ¸er 0, so wird der Ausgang des Objekts auf 0 gesetzt. Der 2-te Eingang ist gegenÃƒÂ¼ber dem 1-ten Eingang priorisiert.',3,1,'FlipFlop','{\"Label\": \"\"}'),
 (73,'Multiplikation mit einer rationalen Zahl ',86,'Der Wert des Ausgangs dieses Objekts ergibt sich durch Division des Eingangswerts mit der 2-ten Eigenschaft und anschlieÃƒÅ¸ender Multiplikation mit der 3-ten Eigenschaft. Die Rundung auf einen ganzzahligen Wert wird am Ende vorgenommen. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt.',1,1,'Multipl. with. rat. Number','{\"Divisor\": 0, \"Multiplicator\": 0 , \"Label\": \"\"}'),
 (74,'Zeitgesteuerte Weiterleitung',115,'Der Eingangswert dieses Objektes wird in einem zu konfigurierendem Intervall auf den Ausgang ÃƒÂ¼bertragen. Somit wird nicht jede Ãƒâ€žnderung des Eingangs vom Ausgang ÃƒÂ¼bernommen, sondern nur jene, die mit dem Ablauf dieses Intervalls zusammenfallen. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt. Die LÃƒÂ¤nge des Zeitintervalls wird in der 3-ten Eigenschaft hinterlegt,',1,1,'Timed Forward','{\"Time-Base\": 0, \"Value\": 0 , \"Label\": \"\"}');
INSERT INTO `hap`.`ac_types` VALUES  (75,'Statusmeldungsausgang',122,'Ãƒâ€žndert sich der Eingangswert dieses Objekts, so wird eben dieser Wert in Form einer Statusmeldung als Broadcast verschickt. Die Nummer des Objektes, das als Eingang fungiert, wird in der 1-ten Eigenschaft hinterlegt. Die 3-te Eigenschaft speichert die GerÃƒÂ¤te-Adresse, die in der Statusmeldung hinterlegt wird. Es handelt sich somit um die GerÃƒÂ¤te-Adresse des Statusmeldungsausgangs.',1,1,'Status signal output','{\"HAP-Module\": 0, \"HAP-Device\": 0 , \"Label\": \"\"}'),
 (76,'Auf-/Ab-Steuerung 2-Taster-LÃƒÂ¶sung (Rollladensteuerung) ',165,'Dieses Objekt setzt die Eingangswerte, wie sie von entsprechend konfigurierten logischen Ein-gÃƒÂ¤ngen geliefert werden, in entsprechende Steuercodes um, wie sie zur Ansteuerung eines Rollladens verwendet werden kÃƒÂ¶nnen. Die Nummern der Objekte, die als Eingang fungieren, werden in der 1-ten und 2-ten Eigenschaft hinterlegt',2,1,'Up/Down 2 Btn. Shutter','{\"Label\": \"\"}'),
 (80,'Annotation',256,NULL,0,0,'Comment','{\"Label\": \"\"}');
INSERT INTO `hap`.`ac_types` VALUES  (81,'FlipFlop1 (2 EingÃƒÂ¤nge)',153,'Der Ausgang dieses Objekts nimmt den Wert der 3-ten Eigenschaft an, wenn der 1-te Eingangswert grÃ¶ÃŸer 0 ist. Ist der 2-te Eingangswert grÃ¶ÃŸer 0, so wird der Ausgang des Objekts auf 0 gesetzt. Der 1-te Eingang ist gegenÃ¼ber dem 2-ten Eingang priorisiert.',2,1,'FlipFlop 1','{\"Value\": 0 , \"Label\": \"\"}'),
 (82,'FlipFlop2 (2 EingÃƒÂ¤nge)',154,'Der Ausgang dieses Objekts nimmt den Wert der 3-ten Eigenschaft an, wenn der 1-te Eingangswert grÃ¶ÃŸer 0 ist. Ist der 2-te Eingangswert grÃ¶ÃŸer 0, so wird der Ausgang des Objekts auf 0 gesetzt. Ist der 1-te Eingangswert und der 2-te Eingangswert grÃ¶ÃŸer 0, so wird der Ausgang invertiert, das heiÃŸt, ist er gleich 0, so nimmt er den Wert der 3-ten Eigenschaft an, sonst wird er 0.',2,1,'FlipFlop 2','{\"Value\": 0 , \"Label\": \"\"}'),
 (83,'FlipFlop3 (2 EingÃƒÂ¤nge)',155,'Der Ausgang dieses Objekts nimmt den Wert der 3-ten Eigenschaft an, wenn der 1-te Eingangswert gerade grÃ¶ÃŸer 0 geworden ist (steigende Flanke). Ist der 2-te Eingangswert gerade grÃ¶ÃŸer 0 geworden (steigende Flanke), so wird der Ausgang des Objekts auf 0 gesetzt. Der 2-te Eingang ist gegenÃ¼ber dem 1-ten Eingang priorisiert.',2,1,'FlipFlop 3','{\"Value\": 0 , \"Label\": \"\"}'),
 (84,'FlipFlop4 (2 EingÃƒÂ¤nge)',156,'Der Ausgang dieses Objekts nimmt den Wert der 3-ten Eigenschaft an, wenn der 1-te Eingangswert gerade grÃ¶ÃŸer 0 geworden ist (steigende Flanke). Ist der 2-te Eingangswert gerade grÃ¶ÃŸer 0 geworden (steigende Flanke), so wird der Ausgang des Objekts auf 0 gesetzt. Der 1-te Eingang ist gegenÃ¼ber dem 2-ten Eingang priorisiert.',2,1,'FlipFlop 4','{\"Value\": 0 , \"Label\": \"\"}');
INSERT INTO `hap`.`ac_types` VALUES  (85,'FlipFlop5 (2 EingÃƒÂ¤nge)',157,'Der Ausgang dieses Objekts nimmt den Wert der 3-ten Eigenschaft an, wenn der 1-te Eingangswert gerade grÃ¶ÃŸer 0 geworden ist (steigende Flanke). Ist der 2-te Eingangswert gerade grÃ¶ÃŸer 0 geworden (steigende Flanke), so wird der Ausgang des Objekts auf 0 gesetzt. Ist der 1-te Eingangswert und der 2-te Eingangswert gerade grÃ¶ÃŸer 0 geworden (steigende Flanke), so wird der Ausgang invertiert, das heiÃŸt, ist er gleich 0, so nimmt er den Wert der 3-ten Eigenschaft an, sonst wird er 0.',2,1,'FlipFlop 5','{\"Value\": 0 , \"Label\": \"\"}'),
 (86,'FlipFlop1 (3 EingÃƒÂ¤nge)',217,'Der Ausgang dieses Objekts nimmt den Wert des 3-ten Eingangs an, wenn der 1-te Eingangswert grÃ¶ÃŸer 0 ist. Ist der 2-te Eingangswert grÃ¶ÃŸer 0, so wird der Ausgang des Objekts auf 0 gesetzt. Der 1-te Eingang ist gegenÃ¼ber dem 2-ten Eingang priorisiert.',3,1,'FlipFlop 1','{\"Label\": \"\"}'),
 (87,'FlipFlop2 (3 EingÃƒÂ¤nge)',218,'Der Ausgang dieses Objekts nimmt den Wert des 3-ten Eingangs an, wenn der 1-te Eingangswert grÃ¶ÃŸer 0 ist. Ist der 2-te Eingangswert grÃ¶ÃŸer 0, so wird der Ausgang des Objekts auf 0 gesetzt. Ist der 1-te Eingangswert und der 2-te Eingangswert grÃ¶ÃŸer 0, so wird der Ausgang invertiert, das heiÃŸt, ist er gleich 0, so nimmt er den Wert des 3-ten Eingangs an, sonst wird er 0.',3,1,'FlipFlop 2','{\"Label\": \"\"}'),
 (88,'FlipFlop3 (3 EingÃƒÂ¤nge)',219,'Der Ausgang dieses Objekts nimmt den Wert des 3-ten Eingangs an, wenn der 1-te Eingangswert gerade grÃ¶ÃŸer 0 geworden ist (steigende Flanke). Ist der 2-te Eingangswert gerade grÃ¶ÃŸer 0 geworden (steigende Flanke), so wird der Ausgang des Objekts auf 0 gesetzt. Der 2-te Eingang ist gegenÃ¼ber dem 1-ten Eingang priorisiert.',3,1,'FlipFlop 3','{\"Label\": \"\"}');
INSERT INTO `hap`.`ac_types` VALUES  (89,'FlipFlop4 (3 EingÃƒÂ¤nge)',220,'Der Ausgang dieses Objekts nimmt den Wert des 3-ten Eingangs an, wenn der 1-te Eingangswert gerade grÃ¶ÃŸer 0 geworden ist (steigende Flanke). Ist der 2-te Eingangswert gerade grÃ¶ÃŸer 0 geworden (steigende Flanke), so wird der Ausgang des Objekts auf 0 gesetzt. Der 1-te Eingang ist gegenÃ¼ber dem 2-ten Eingang priorisiert.',3,1,'FlipFlop 4','{\"Label\": \"\"}'),
 (90,'FlipFlop5 (3 EingÃƒÂ¤nge)',221,'Der Ausgang dieses Objekts nimmt den Wert des 3-ten Eingangs an, wenn der 1-te Eingangswert gerade grÃ¶ÃŸer 0 geworden ist (steigende Flanke). Ist der 2-te Eingangswert gerade grÃ¶ÃŸer 0 geworden (steigende Flanke), so wird der Ausgang des Objekts auf 0 gesetzt. Ist der 1-te Eingangswert und der 2-te Eingangswert gerade grÃ¶ÃŸer 0 geworden (steigende Flanke), so wird der Ausgang invertiert, das heiÃŸt, ist er gleich 0, so nimmt er den Wert des 3-ten Eingangs an, sonst wird er 0.',3,1,'FlipFlop 5','{\"Label\": \"\"}');
UNLOCK TABLES;
/*!40000 ALTER TABLE `ac_types` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
